;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = x
b = y
c = z
s = start

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| AI Commands |----------------------------------------------------------

[Command]
name = "ai1"
command = x,x,x,x
time = 1
[Command]
name = "ai2"
command = x,x,x,x
time = 1
[Command]
name = "ai3"
command = x,x,x,x
time = 1
[Command]
name = "ai4"
command = x,x,x,x
time = 1
[Command]
name = "ai5"
command = x,x,x,x
time = 1
[Command]
name = "ai6"
command = x,x,x,x
time = 1

[Command]
name = "ai7"
command = x,x,x,x
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1


;-| Single Button |---------------------------------------------------------

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;------------------------------------------------------



; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]



;===========================================================================
;DO NOT REMOVE THIS
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1



;===========================================================================
;---------------------------------------------------------------------------
;ATTACK A
[State -1, ATTACK 1]
type = ChangeState
value = 200
triggerall = command = "x"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;ATTACK B
[State -1, ATTACK 2]
type = ChangeState
value = 210
triggerall = command = "x"
triggerall = (stateno = 200)
trigger1 = statetype = S
trigger1 = movecontact= 1
;---------------------------------------------------------------------------
;ATTACK C
;LbN
[State -1, ATTACK3]
type = ChangeState
value = 230
triggerall = command = "x"
triggerall = (stateno = 210) 
trigger1 = statetype = S
trigger1 = movecontact= 1
;---------------------------------------------------------------------------
;INKSHOT
[State -1, INKSHOT]
type = ChangeState
value = 240
triggerall = command = "y"
trigger1 = statetype = S
trigger1 = time >= 3
trigger1 = ctrl
;---------------------------------------------------------------------------
;JUMP KICK
[State -1, Jump Kick]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;AIR INK SHOT
[State -1, AIR INK SHOT]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = time >= 5
trigger1 = ctrl
;---------------------------------------------------------------------------
;SUPER INKSHOT
[State -1, SUPER INKSHOT]
type = ChangeState
value = 270
triggerall = command = "z"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = time >= 3
trigger1 = ctrl




;---------------------------------------------------------------------------
[State -1, AI KICK]
type = ChangeState
value = 270
triggerall = command = "ai1"
trigger1 = statetype = S
;---------------------------------------------------------------------------
[State -1, AI KICK2]
type = ChangeState
value = 250
triggerall = command = "ai2"
trigger1 = statetype = S
;---------------------------------------------------------------------------
[State -1, AI KICK3]
type = ChangeState
value = 231
triggerall = command = "ai3"
trigger1 = statetype = S
;---------------------------------------------------------------------------
[State -1, AI inkshot]
type = ChangeState
value = 231
triggerall = command = "ai4"
trigger1 = statetype = S
;---------------------------------------------------------------------------
[State -1, AI zcombo]
type = ChangeState
value = 243
triggerall = command = "ai5"
trigger1 = statetype = S
;---------------------------------------------------------------------------
[State -1, AI endless combo]
type = ChangeState
value = 250
triggerall = command = "ai6"
trigger1 = statetype = S

;---------------------------------------------------------------------------
[State -1, AI endless combo]
type = ChangeState
value = 270
triggerall = command = "ai7"
trigger1 = statetype = S